%define upstream_name    Test-Fork
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Test code which forks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
*THIS IS ALPHA CODE!* The implementation is unreliable and the interface is
subject to change.

Because each test has a number associated with it, testing code which forks
is problematic. Coordinating the test number amongst the parent and child
processes is complicated. Test::Fork provides a function to smooth over the
complications.

Functions
    Each function is exported by default.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.yml SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-4.mga10
+ Revision: 2205396
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.20.0-3.mga9
+ Revision: 1811348
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.20.0-2.mga8
+ Revision: 1522997
- Mageia 8 Mass Rebuild

* Fri Feb 15 2019 tv <tv> 0.20.0-1.mga7
+ Revision: 1367183
- imported package perl-Test-Fork


* Fri Feb 15 2019 Thierry Vignaud <tv@mageia.org> 0.20.0-1.mga7
- initial mageia release, generated with cpan2dist
